> Documentation index: https://docs.scrapier.io/llms.txt
> Auth: header `X-API-Key: <key>` · Base: https://api.scrapier.io/api/v2 · Synchronous; paginate with `cursor` ← `data.next_cursor`.

# Pinterest API

Scrapier endpoints for Pinterest: Pinterest Boards / Pins, Pinterest Pins & Videos Search, Pinterest Search.

3 endpoints · 1 credit / successful call · All Pinterest endpoints in one file: https://docs.scrapier.io/llms-pinterest.txt

## Quickstart

### Pinterest Boards / Pins

```bash
curl -G "https://api.scrapier.io/api/v2/pinterest-boards/" \
  -H "X-API-Key: YOUR_API_KEY" \
  --data-urlencode "urls=https://www.pinterest.com/officialflawliz/cherry-cola-lips/" \
  --max-time 210
```

## Endpoints

| Endpoint | Path | Pagination | Credits | Needs cookie |
|---|---|---|---|---|
| [Pinterest Boards / Pins](https://docs.scrapier.io/api-reference/pinterest/pinterest-boards.md) | `/pinterest-boards/` | cursor | 1 | no |
| [Pinterest Pins & Videos Search](https://docs.scrapier.io/api-reference/pinterest/pinterest-pins-videos.md) | `/pinterest-pins-videos/` | cursor | 1 | no |
| [Pinterest Search](https://docs.scrapier.io/api-reference/pinterest/pinterest-search.md) | `/pinterest-search/` | cursor | 1 | no |
